mysql_stmt_execute(3)

  Name
mysql_stmt_execute - Executes a prepared statement

  Synopsis

        #include <mysql.h>

        int mysql_stmt_execute(MYSQL_STMT * stmt);

  Description
Executes a prepared statement which was previously prepared by mysql_stmt_prepare(3). When executed any parameter markers which exist will automatically be replaced with the appropriate data.

  Parameter

•   stmt - A statement handle, which was previously allocated by mysql_stmt_init(3).

  Return value
Returns zero on success, non-zero on failure.

  Notes

•   If the statement is UPDATE, REPLACE, DELETE or INSERT, the total number of affected rows can be determined by using the mysql_stmt_affected_rows(3) function. Likewise, if the query yields a result set the mysql_stmt_fetch(3) function is used.

  See Also

•   mariadb_stmt_execute_direct(3)

•   mysql_stmt_prepare(3)

•   mysql_stmt_bind_param(3)